/*! js-cookie v3.0.5 | MIT */
!function (e, t) { "object" == typeof exports && "undefined" != typeof module ? module.exports = t() : "function" == typeof define && define.amd ? define(t) : (e = "undefined" != typeof globalThis ? globalThis : e || self, function () { var n = e.Cookies, o = e.Cookies = t(); o.noConflict = function () { return e.Cookies = n, o } }()) }(this, (function () { "use strict"; function e(e) { for (var t = 1; t < arguments.length; t++) { var n = arguments[t]; for (var o in n) e[o] = n[o] } return e } var t = function t(n, o) { function r(t, r, i) { if ("undefined" != typeof document) { "number" == typeof (i = e({}, o, i)).expires && (i.expires = new Date(Date.now() + 864e5 * i.expires)), i.expires && (i.expires = i.expires.toUTCString()), t = encodeURIComponent(t).replace(/%(2[346B]|5E|60|7C)/g, decodeURIComponent).replace(/[()]/g, escape); var c = ""; for (var u in i) i[u] && (c += "; " + u, !0 !== i[u] && (c += "=" + i[u].split(";")[0])); return document.cookie = t + "=" + n.write(r, t) + c } } return Object.create({ set: r, get: function (e) { if ("undefined" != typeof document && (!arguments.length || e)) { for (var t = document.cookie ? document.cookie.split("; ") : [], o = {}, r = 0; r < t.length; r++) { var i = t[r].split("="), c = i.slice(1).join("="); try { var u = decodeURIComponent(i[0]); if (o[u] = n.read(c, u), e === u) break } catch (e) { } } return e ? o[e] : o } }, remove: function (t, n) { r(t, "", e({}, n, { expires: -1 })) }, withAttributes: function (n) { return t(this.converter, e({}, this.attributes, n)) }, withConverter: function (n) { return t(e({}, this.converter, n), this.attributes) } }, { attributes: { value: Object.freeze(o) }, converter: { value: Object.freeze(n) } }) }({ read: function (e) { return '"' === e[0] && (e = e.slice(1, -1)), e.replace(/(%[\dA-F]{2})+/gi, decodeURIComponent) }, write: function (e) { return encodeURIComponent(e).replace(/%(2[346BF]|3[AC-F]|40|5[BDE]|60|7[BCD])/g, decodeURIComponent) } }, { path: "/" }); return t }));
/* --- */

if (!window.include) {
    function include(file, root = '', cacheBustingInterval = null) {
        var cacheBustingToken = '';
        if (cacheBustingInterval) {
            // Divide the timestamp by the interval to get a number that changes every 'cacheBustingInterval' milliseconds.
            cacheBustingToken = `?t=${Math.floor(new Date().getTime() / cacheBustingInterval)}`;
        }
        var script = document.createElement('script');
        script.src = `${root}${file}${cacheBustingToken}`;
        script.type = 'text/javascript';
        script.async = false;
        document.getElementsByTagName('head').item(0).appendChild(script);
    }
}

if (!window.includeCSS) {
    function includeCSS(file, root = '', cacheBustingInterval = null) {
        if (document.getElementById(file)) return;
        var cacheBustingToken = '';
        if (cacheBustingInterval) {
            cacheBustingToken = `?t=${Math.floor(new Date().getTime() / cacheBustingInterval)}`;
        }
        var head = document.getElementsByTagName('head')[0];
        var link = document.createElement('link');
        link.id = file;
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = `${root}${file}${cacheBustingToken}`;
        link.media = 'all';
        head.appendChild(link);
    }
}





var LYRA_ETK_ROOT = 'https://media.lyraetk.com/data/dental-app/';
var DENTAL_APP_LANG_LIST = ['fr'];
var DENTAL_APP_LANG_RELOAD = true;

var DENTAL_APP_USER = {};
try {
  const authCookie = Cookies.get("DENTAL_APP_AUTH");
  if (authCookie) {
    DENTAL_APP_USER = JSON.parse(atob(authCookie.split('.')[1]));
  }
} catch (error) {
  console.error("Erreur lors de la récupération ou du parsing du cookie DENTAL_APP_AUTH : ", error);
}


var cacheBustingInterval_LONG = 72 * 3600 * 1000;//72h
var redirectToProfilePage = null;

// Liste des fichiers à inclure
var files = [
    { name: 'data.js', interval: 5 * 60 * 1000 },//5min
    { name: 'data_test.js' },
    { name: 'style.css' },
    { name: 'header.css' },
    { name: 'header.js' },
    { name: 'strip.css' },
    { name: 'strip.js' },
    { name: 'reassurance.css' },
    { name: 'reassurance.js' },
    { name: 'contact.css' },
    { name: 'contact.js' },
    { name: 'footer.css' },
    { name: 'footer.js' },
    { name: 'tingle.min.js' },
    { name: 'tingle.min.css'},
];

var isCssLoaded = false;


function handleCssToggle(cssUrl) {
    
if(DENTAL_APP_USER?.login === "mickaelanoufa+demoadf@gmail.com") {
            // Charge le fichier CSS externe
        let link = document.createElement('link');
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = LYRA_ETK_ROOT + cssUrl;

        link.onload = function () {
          isCssLoaded = true;
        };

        document.head.appendChild(link);
}
    
  document.onkeydown = function(e) {
    // Vérifie si la touche 'Ctrl' et 'Q' sont enfoncées simultanément
    if(e.ctrlKey && e.keyCode === 81) {
      console.log("CTRL + Q !!!");
      if(!isCssLoaded) {
        // Charge le fichier CSS externe
        let link = document.createElement('link');
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = LYRA_ETK_ROOT + cssUrl;

        link.onload = function () {
          isCssLoaded = true;
        };

        document.head.appendChild(link);
      }
      else {
        // Enlève le fichier CSS externe
        let link = document.querySelector("link[href='" + LYRA_ETK_ROOT + cssUrl + "']");

        document.head.removeChild(link);
        isCssLoaded = false;
      }
    }
  };
}

if (window?.PLATFORM_NAME === 'DENTAL_APP') {
}

if (window?.PLATFORM_NAME === 'DENTAL_APP_LIGN') {
    files[2] = { name: 'style_guide.css' };
    redirectToProfilePage = function () {
        if(window?.FlowRouter && window?.Meteor?.userId) {
            window.FlowRouter.go(`/userpage/${window.Meteor.userId()}`)
        }
    }
}

if (window?.PLATFORM_NAME === 'DENTAL_APP_GUIDE') {
    files[2] = { name: 'style_guide.css' };
    redirectToProfilePage = function () {
        if(window?.FlowRouter && window?.Meteor?.userId) {
            window.FlowRouter.go(`/userpage/${window.Meteor.userId()}`)
        }
    }
    handleCssToggle('GUIDE_BLUR.css');
}

if (window?.PLATFORM_NAME === 'DENTAL_APP_CADCAM') {
    files[2] = { name: 'style_cadcam.css' };

    //add translation
    files.push({ name: 'translation_cadcam/translate.css' });
    files.push({ name: 'translation_cadcam/translation.js'});
    files.push({ name: 'translation_cadcam/translate.js' });

    redirectToProfilePage = function () {
        if(window?.FlowRouter && window?.Meteor?.userId) {
            window.FlowRouter.go(`/userpage/${window.Meteor.userId()}`)
        }
    }
    
    handleCssToggle('CADCAM_BLUR.css');

}

if (window?.PLATFORM_NAME === 'DENTAL_APP_PRODUCTION') {
    
    files[2] = { name: 'style_productio.css' };
    redirectToProfilePage = function () {
        if(window?.FlowRouter && window?.Meteor?.userId) {
            window.FlowRouter.go(`/userpage/${window.Meteor.userId()}`)
        }
    }
    
    function changeIconsAndTitle(){
      // Enlever les balises link existantes
      var oldLinks = [];
      oldLinks.push(document.querySelector('link[rel="apple-touch-icon"]'));
      oldLinks.push(document.querySelector('link[rel="icon"][sizes="32x32"]'));
      oldLinks.push(document.querySelector('link[rel="icon"][sizes="16x16"]'));
      for (var i = 0; i < oldLinks.length; i++) {
        if (oldLinks[i]) {
          oldLinks[i].parentNode.removeChild(oldLinks[i]);
        }
      }
      // Ajouter la nouvelle balise link
      var newLink = document.createElement('link');
      newLink.rel = 'icon';
      newLink.type = 'image/png';
      newLink.href = 'https://www.lyraetk.com/wp-content/uploads/2023/06/LE_Noir_Monogramme.png';
      document.head.appendChild(newLink);
      // Changer le title
      document.title = "Dental APP - Production";
    }
    
    function loadDentalAppCSS() {
        includeCSS('style_production.css', LYRA_ETK_ROOT, cacheBustingInterval_LONG);
    }
    
    document.addEventListener('click', function(e) {
    // Check if the clicked element is a direct child of an element with the .lyra-header_platforms_item class
    if (e.target.parentNode.classList.contains('lyra-header_platforms_item')) {
        // Check if the clicked element is anchor
        if (e.target.tagName === 'A') {
            // Prevent default action, which would be navigating to the href
            e.preventDefault();

            // Redirect to the clicked URL
            window.location.href = e.target.getAttribute('href');
        }
    }
    });

}

if (window?.PLATFORM_NAME === 'DENTAL_APP_SHOP') {
    files[2] = { name: 'style_eshop.css' };
    redirectToProfilePage = function () {
        window.location.href = '/account';
    }
}

if (window?.PLATFORM_NAME === 'DENTAL_APP_PLACE') {
    files[2] = { name: 'style_place.css' };
    redirectToProfilePage = function () {
        if(window?.FlowRouter) {
            FlowRouter.go('/mon-compte')
        }
    }
}

if (window?.PLATFORM_NAME === 'DENTAL_APP_MEDIA') {
    files[2] = { name: 'style_media.css' };
    DENTAL_APP_LANG_LIST = ['fr', 'en', 'es', 'it'];
    DENTAL_APP_LANG_RELOAD = false;
    window.selectLang = function(langCode) {
        window.location.href = `/${langCode}`;
    }
}

if (window?.PLATFORM_NAME === 'DENTAL_APP_IPHYSIO') {
    files[2] = { name: 'style_iphysio.css' };
    DENTAL_APP_LANG_LIST = ['fr', 'en'];
    DENTAL_APP_LANG_RELOAD = false;
    window.selectLang = function(langCode) {
        window.location.href = `/${langCode}`;
    }  
}

var DENTAL_APP_TRANSLATION = [
    { "fr": "Nous contacter", "en": "Contact us", "es": "Contáctenos", "it": "Contattaci" },
    { "fr": "Mon compte", "en": "My account", "es": "Mi cuenta", "it": "Il mio account" },
    { "fr": "Me déconnecter", "en": "Log out", "es": "Cerrar sesión", "it": "Disconnettersi" },
    { "fr": "Production guide", "en": "Production guide", "es": "Guía de producción", "it": "Guida alla produzione" },
    { "fr": "Production gouttière", "en": "Gutter production", "es": "Producción de canalón", "it": "Produzione di grondaia" },
    { "fr": "e-Shop", "en": "e-Shop", "es": "e-Shop", "it": "e-Shop" },
    { "fr": "Suivi forfait", "en": "Package tracking", "es": "Seguimiento del paquete", "it": "Monitoraggio del pacchetto" },
    { "fr": "Sélecteur iPhysio", "en": "iPhysio Selector", "es": "Selector de iPhysio", "it": "Selettore iPhysio" },
    { "fr": "Médiathèque", "en": "Media library", "es": "Mediateca", "it": "Mediateca" },
    { "fr": "e-Learning", "en": "e-Learning", "es": "e-Learning", "it": "e-Learning" },
    { "fr": "Nos procédés de fabrication fiables et éprouvés", "en": "Our reliable and proven manufacturing processes", "es": "Nuestros procesos de fabricación confiables y probados", "it": "I nostri processi di produzione affidabili e collaudati" },
    { "fr": "Connexion validée précise et étanche", "en": "Precise and sealed validated connection", "es": "Conexión validada precisa y sellada", "it": "Connessione validata precisa e sigillata" },
    { "fr": "État de surface certifié", "en": "Certified surface condition", "es": "Estado de superficie certificado", "it": "Stato di superficie certificato" },
    { "fr": "Produits garantis", "en": "Guaranteed products", "es": "Productos garantizados", "it": "Prodotti garantiti" },
    { "fr": "Brevets déposés", "en": "Patents filed", "es": "Patentes presentadas", "it": "Brevetti depositati" },
    { "fr": "Actualités", "en": "News", "es": "Noticias", "it": "Notizie" },
    { "fr": "En savoir plus", "en": "Learn more", "es": "Aprenda más", "it": "Per saperne di più" },
    { "fr": "Contact / SAV", "en": "Contact / Customer service", "es": "Contacto / Servicio al cliente", "it": "Contatto / Servizio clienti" },
    { "fr": "Votre contact", "en": "Your contact", "es": "Tu contacto", "it": "Il tuo contatto" },
    { "fr": "Support plateformes", "en": "Platforms support", "es": "Soporte de plataformas", "it": "Supporto piattaforme" },
    { "fr": "Contacter le SAV", "en": "Contact customer service", "es": "Contactar al servicio al cliente", "it": "Contatta il servizio clienti" },
    { "fr": "Type de demande", "en": "Type of request", "es": "Tipo de petición", "it": "Tipo di richiesta" },
    { "fr": "Demande d'informations", "en": "Information request", "es": "Petición de información", "it": "Richiesta di informazioni" },
    { "fr": "Résoudre un bug", "en": "Solve a bug", "es": "Resolver un error", "it": "Risolvere un bug" },
    { "fr": "Autre", "en": "Other", "es": "Otro", "it": "Altro" },
    { "fr": "J'accepte la politique de protection des données personnelles", "en": "I accept the personal data protection policy", "es": "Acepto la política de protección de datos personales", "it": "Accetto la politica di protezione dei dati personali" },
    { "fr": "À propos de nous", "en": "About us", "es": "Acerca de nosotros", "it": "Riguardo a noi" },
    { "fr": "Mentions légales", "en": "Legal notice", "es": "Aviso legal", "it": "Menzioni legali" },
    { "fr": "Conditions générales de vente", "en": "General sales conditions", "es": "Condiciones generales de venta", "it": "Condizioni generali di vendita" },
    { "fr": "Traçabilité laboratoire", "en": "Laboratory traceability", "es": "Trazabilidad de laboratorio", "it": "Tracciabilità del laboratorio" },
    { "fr": "Protection des données", "en": "Data protection", "es": "Protección de datos", "it": "Protezione dei dati" },
    { "fr": "Rechercher...", "en": "Search...", "es": "Buscar...", "it": "Cercare..." },
    { "fr": "Message", "en": "Message", "es": "Mensaje", "it": "Messaggio" },
    { "fr": "Documentation commerciale", "en": "Sales documentation", "es": "Documentación comercial", "it": "Documentazione sulle vendite" },
    { "fr": "Aide à l’utilisation", "en": "Help with use", "es": "Ayuda para el uso", "it": "Aiuto per l'uso" },
    { "fr": "Pratique implantaire", "en": "Implant practice", "es": "Práctica de implantes", "it": "Pratica implantare" },
    { "fr": "Garantie et qualité", "en": "Guarantee and quality", "es": "Garantía y calidad", "it": "Garanzia e qualità" },
    { "fr": "Communication patient", "en": "Patient communication", "es": "Comunicación con el paciente", "it": "Comunicazione con il paziente" },
    { "fr": "Envoyer ma demande", "en": "Submit my request", "es": "Enviar mi solicitud", "it": "Inviare la mia richiesta" }
];

function translateDentalApp(htmlContent, codeLang) {
    // Créer un nouvel élément DOM hors page
    var container = document.createElement('div');
    container.innerHTML = htmlContent;

    // Définir une fonction récursive pour translater le contenu
    var translateNode = function(node) {
        if(node.nodeType === Node.TEXT_NODE) {
            // Traduire le texte du nœud
            DENTAL_APP_TRANSLATION.forEach(function(translation) {
                //var regex = new RegExp("\\b"+translation.fr+"\\b", "gi");
                node.textContent = node.textContent.replace(translation.fr, translation[codeLang]);
            });
        } else {
            // Continuer à explorer les nœuds enfants
            if(node.childNodes) {
                node.childNodes.forEach(translateNode);
            }
        }
    };
    
    // Lancer la traduction
    translateNode(container);

    // Renvoyer le HTML traduit
    return container.innerHTML;
}

// Boucle sur le tableau pour inclure les fichiers
files.forEach(file => {
    var fileType = file.name.split('.').pop();
    if (fileType === 'js') {
        include(file.name, LYRA_ETK_ROOT, file.interval || cacheBustingInterval_LONG);
    } else if (fileType === 'css') {
        includeCSS(file.name, LYRA_ETK_ROOT, file.interval || cacheBustingInterval_LONG);
    }
});


if (window?.PLATFORM_NAME === 'DENTAL_APP_PLACE') {
    //document.location.pathname = '/releve-counters';
    if(document.location.pathname != '/releve-counters') {
        setTimeout(() => { document.location.pathname = '/releve-counters' }, 500);
    }
}
